AUTHVAR(1)

NAME
authvar - handles authenticated variables for pesign

SYNOPSIS
authvar [-?] [-a|--append] [-d|--certdir=<certificate directory path>]
        [-c|--clear] [-s|--set] [-N|--namespace={<namespace>|<guid>}]
        [-n|--name=<name>] [-t|--timestamp=<time>] [-v|--value=<value>]
        [-f|--valuefile=<file>] [-i|--import=<file>] [-e|--export=<file>]
        [-S|--sign=<nickname>] [-?|--help] [--usage]

DESCRIPTION
authvar is a command line utility for handling authenticated UEFI variables.

OPTIONS

-a, --append
    append to variable

-d, --certdir=<certificate directory path>
    specify nss certificate database directory (default: "/etc/pki/pesign")

-c, --clear
    clear variable

-s, --set
    set variable

-N, --namespace={<namespace>|<guid>}
    specified variable is in <namespace> or <guid> (default: "global")

-n, --name=<name>
    variable name

-t, --timestamp=<time>
    timestamp for the variable

-v, --value=<value>
    value to set or append

-f, --valuefile=<file>
    read value from <file>

-i, --import=<file>
    import variable from <file>

-e, --export=<file>
    export variable to <file> instead of firmware

-S, --sign=<nickname>
    sign variable with certificate <nickname>

  Help options:

-?, --help
    Show this help message

--usage
    Display brief usage message

SEE ALSO
pesign(1)